net.sf.saxon.s9api

## Enum XdmNodeKind

- java.lang.Object
- - java.lang.Enum<XdmNodeKind>
  - - net.sf.saxon.s9api.XdmNodeKind

- All Implemented Interfaces:
    Serializable, Comparable<XdmNodeKind>

      public enum XdmNodeKind
      extends Enum<XdmNodeKind>

  Enumeration class defining the seven kinds of node defined in the XDM model

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTRIBUTE`
    `COMMENT`
    `DOCUMENT`
    `ELEMENT`
    `NAMESPACE`
    `PROCESSING_INSTRUCTION`
    `TEXT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getNumber()`
    `static XdmNodeKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static XdmNodeKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOCUMENT

          public static final XdmNodeKind DOCUMENT

    - #### ELEMENT

          public static final XdmNodeKind ELEMENT

    - #### ATTRIBUTE

          public static final XdmNodeKind ATTRIBUTE

    - #### TEXT

          public static final XdmNodeKind TEXT

    - #### COMMENT

          public static final XdmNodeKind COMMENT

    - #### PROCESSING_INSTRUCTION

          public static final XdmNodeKind PROCESSING_INSTRUCTION

    - #### NAMESPACE

          public static final XdmNodeKind NAMESPACE

  - ### Method Detail

    - #### values

          public static XdmNodeKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XdmNodeKind c : XdmNodeKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XdmNodeKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getNumber

          protected int getNumber()

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.